body {
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
    animation: animate 16s ease-in-out infinite;
}

@keyframes animate {

    0%,
    100% {
        background-image: url(../image/1.jpg);
    }

    25% {
        background-image: url(../image/2.jpg);
    }

    50% {
        background-image: url(../image/3.jpg);
    }

    75% {
        background-image: url(../image/4.jpg);
    }
}

.navtop {
    display: flex;
    height: 90px;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
}

.logo img {
    height: 60px;
    width: 80%;
}

button {
    border-radius: 10px;
    padding: 10px;
    cursor: pointer;
    background-color: transparent;
}

.circle-wrapper {
    width: 50px;
    height: 50px;
    right: 1%;
    position: relative;
}

.c2 {
    margin-left: -17%;
}

.circle {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    animation: spin 10s linear infinite;
    border: 3px dashed #fff;
}

@keyframes spin {
    100% {
        transform: rotateZ(360deg);
    }
}

.circle-wrapper .off {
    border: none;
    position: absolute;
    transform: translate(12%, -115%);
}

.off:hover {
    opacity: 0.8;
}

.menu {
    display: flex;
}

.menu div a {
    font-family: "Bebas Neue", sans-serif;
    font-size: 18px;
    color: white;
}

.menu div .first {
    color: #1ADDFF;
}

.menu div a:hover {
    color: #1ADDFF;
}

input[type=checkbox] {
    display: none;
}

.menubar {
    display: none;
    font-size: 24px;
    user-select: none;
}

.cover {
    position: absolute;
    top: 0%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    margin: 0%;
}

.vertical {
    top: 0;
    margin-left: 88%;
    height: 100%;
    position: absolute;
    border-left: 1px solid white;
}

hr.row {
    width: 100%;
    margin-top: 30%;
    margin-left: 0;
    border: 1px solid white;
    position: absolute;
    z-index: 1;
}

.typing-demo {
    width: 400px;
    animation: typing 2s steps(30), blink .5s step-end infinite alternate;
    white-space: nowrap;
    overflow: hidden;
    border-right: 3px solid;
    font-family: "Silkscreen", sans-serif;
    font-family: monospace;
    font-size: 25px;
    z-index: 3;
    position: absolute;
    font-weight: bold;
    margin-left: 2%;
}

@keyframes typing {
    from {
        width: 0
    }
}

@keyframes blink {
    50% {
        border-color: transparent
    }
}

.back {
    user-select: none;
}

.back a {
    background: #1d9dd3;
    backdrop-filter: blur(1px);
    font-size: 550px;
    font-family: "Bebas Neue", sans-serif;
    font-weight: bold;
    width: 638px;
    position: fixed;
    transform: translate(-10%, -5%);
    mix-blend-mode: screen;
    z-index: 2;
    padding-top: 120px;
}

.title b {
    margin-left: 5%;
    margin-top: 30%;
    position: absolute;
    font-family: "Rubik", sans-serif;
    font-size: 65px;
    font-weight: 700;
    color: white;
    z-index: 3;
    user-select: none;
}

.title1 b {
    margin-left: 5%;
    margin-top: 35.9%;
    position: absolute;
    font-family: "Rubik", sans-serif;
    font-size: 12px;
    font-weight: 600;
    color: white;
    z-index: 3;
    user-select: none;
}

.side a {
    background: #4db9e7;
    opacity: 0.4;
    backdrop-filter: blur(-1px);
    font-size: 550px;
    font-family: "Bebas Neue", sans-serif;
    font-weight: bold;
    width: 220px;
    padding-left: 20px;
    position: fixed;
    transform: translate(615%, -5%);
    mix-blend-mode: screen;
    z-index: 2;
    padding-top: 120px;
    user-select: none;
}

.page {
    position: absolute;
    z-index: 3;
    top: 50%;
    right: 2.5%;
    text-align: end;
    user-select: none;
}

.pa1 {
    font-family: "Rubik", sans-serif;
    color: #10a7e8;
    font-size: 38px;
    font-weight: 800;
}

.pa2 {
    font-family: "Rubik", sans-serif;
    color: white;
    font-size: 13px;
    font-weight: 600;
    margin-top: -20px;
}

.bn46 {
    width: 115px;
    position: absolute;
    z-index: 3;
    top: 66%;
    right: 3.5%;
    user-select: none;
}

.bn45 {
    width: 115px;
    height: 38px;
    position: absolute;
    z-index: 3;
    top: 73%;
    right: 3.5%;
    user-select: none;
}

@media (max-width: 1200px) {
    .menu {
        display: none;
        position: fixed;
        padding-top: 20px;
        margin-top: 10px;
        background-color: rgba(0, 0, 0, 0.9);
        left: 0;
        text-align: left;
        width: 100%;
        height: 120%;
        z-index: 10;
        border-top: 1px solid #c1c1c1;
    }

    .menu div {
        margin-top: 20px;
        text-align: start;
        margin-left: 2%;
    }

    .menu div a {
        color: white;
        font-family: 'Roboto', sans-serif;
        font-size: 20px;
        text-decoration: none;
    }

    .navtop button {
        display: none;
    }

    .menu div:hover {
        color: #068FFF;
    }

    input[type=checkbox]:checked~.menu {
        display: block;
    }

    .menubar {
        display: block;
    }

    .circle-wrapper {
        display: none;
    }
}

@media (max-width: 760px) {
    .menu div {
        margin-left: 5%;
    }
}